Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232996 - CVE-2007-1003 xserver XC-MISC integer overflow
Summary: CVE-2007-1003 xserver XC-MISC integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,reported=20070216,em...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 20:08 UTC by Josh Bressers
Modified: 2014-06-18 09:09 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0125
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 19:15:21 UTC


Attachments (Terms of Use)
Poposed upstream patch (deleted)
2007-03-19 20:10 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0125 normal SHIPPED_LIVE Important: XFree86 security update 2007-04-03 19:15:10 UTC

Description Josh Bressers 2007-03-19 20:08:11 UTC
Sean Larsson, iDefense Labs, discovered an integer overflow flaw in the XC-MISC
extension.  This overflow could allow a local user to gain root privileges.

Comment 1 Josh Bressers 2007-03-19 20:08:39 UTC
This flaw also affects RHEL2.1

Comment 2 Josh Bressers 2007-03-19 20:10:32 UTC
Created attachment 150431 [details]
Poposed upstream patch

Comment 4 Søren Sandmann Pedersen 2007-03-20 21:34:28 UTC
2.1 is building. NVR: XFree86-4.1.0-80EL


Comment 5 Søren Sandmann Pedersen 2007-03-20 21:46:26 UTC
3 is building. NVR: XFree86-4.3.0-118_EL

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=681192


Comment 8 Josh Bressers 2007-04-03 16:41:09 UTC
Lifting embargo.

Comment 9 Red Hat Bugzilla 2007-04-03 19:15:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0125.html



Note You need to log in before you can comment on or make changes to this bug.